.share-box {
    position: relative;
    display: block;
    height: 40px;
}
.share {
    position: absolute;
    width: 400px;
    left: 50%;
    margin-left: -200px;
    top: 50%;
    margin-top: -20px;
    border-radius: 40px;
    text-align: center;
}
.share span {
    width: 200px;
    line-height: 40px;
    display: inline-block;
    font-weight: 700;
    text-transform: uppercase;
    position: absolute;
    left: 50%;
    margin-left: -100px;
    opacity: 1;
    -webkit-transition: opacity 0.3s ease-in-out;
    transition: opacity 0.3s ease-in-out;
    pointer-events: none;
}
.share nav {
    font-size: 0;
}
.share a {
    line-height: 40px;
    width: 40px;
    text-align: center;
    display: inline-block;
    background-color: #ffffff;
    color: #ffffff;
    overflow: hidden;
    opacity: 1;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    box-shadow: 3px 1px 3px rgba(0, 0, 0, 0.1);
}

.share a:nth-child(1) {
    border-top-left-radius: 40px;
    border-bottom-left-radius: 40px;
    margin-left: 0;
}
.share a:nth-child(1):hover {
    background-color: #61c5ec;
}
.share a:nth-child(2):hover {
    background-color: #3B5998;
}
.share a:nth-child(3):hover {
    background-color: #ea4335;
}
.share a:nth-child(4) {
    border-top-right-radius: 40px;
    border-bottom-right-radius: 40px;
    margin-right: 0;
}
.share a:nth-child(4):hover {
    background-color: #000000;
}
.share:hover span, .share.hover span {
    opacity: 0;
}
.share:hover a, .share.hover a {
    border-radius: 50%;
    margin: 0 10px;
    color: #999;
    font-size: 22px;
}
.share:hover a:hover, .share.hover a:hover {
    color: #fff;
}
.footer-share {
    margin-top: 10px;
}

.footer-share a {
    line-height: 40px;
    width: 40px;
    text-align: center;
    display: inline-block;
    background-color: #ffffff;
    overflow: hidden;
    opacity: 1;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    box-shadow: 3px 1px 3px rgba(0, 0, 0, 0.1);
    border-radius: 50%;
    margin: 0 10px;
    color: #999;
    font-size: 22px;
}
.footer-share a:nth-child(1) {
    margin-left: 0;
}
.footer-share a:nth-child(1):hover {
    background-color: #61c5ec;

}
.footer-share a:nth-child(2):hover {
    background-color: #3B5998;
}
.footer-share a:nth-child(3):hover {
    background-color: #ea4335;
}

.footer-share a:nth-child(4):hover {
    background-color: #000000;
}
.footer-share:hover a:hover {
    color: #fff;
}